Bug 1147821 - jenkins-icon-shim: No manifest at /var/lib/jenkins/plugins/jenkins-icon-shim.jpi/META-INF/MANIFEST.MF
Summary: jenkins-icon-shim: No manifest at /var/lib/jenkins/plugins/jenkins-icon-shim....
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: jenkins-icon-shim
Version: 21
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Michal Srb
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-09-30 06:59 UTC by Michal Srb
Modified: 2014-10-08 18:57 UTC (History)
5 users (show)

Fixed In Version: jenkins-icon-shim-1.0.3-3.fc21
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-10-08 18:57:18 UTC


Attachments (Terms of Use)

Description Michal Srb 2014-09-30 06:59:57 UTC
Description of problem:

Jenkins logs contain following error:

SEVERE: Failed Inspecting plugin /var/lib/jenkins/plugins/jenkins-icon-shim.jpi
java.io.IOException: Plugin installation failed. No manifest at /var/lib/jenkins/plugins/jenkins-icon-shim.jpi/META-INF/MANIFEST.MF
        at hudson.ClassicPluginStrategy.createPluginWrapper(ClassicPluginStrategy.java:156)
        at hudson.PluginManager$1$3$1.run(PluginManager.java:296)
        at org.jvnet.hudson.reactor.TaskGraphBuilder$TaskImpl.run(TaskGraphBuilder.java:169)
        at org.jvnet.hudson.reactor.Reactor.runTask(Reactor.java:282)
        at jenkins.model.Jenkins$7.runTask(Jenkins.java:885)
        at org.jvnet.hudson.reactor.Reactor$2.run(Reactor.java:210)
        at org.jvnet.hudson.reactor.Reactor$Node.run(Reactor.java:117)
        at java.util.concurrent.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1142)
        at java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:617)
        at java.lang.Thread.run(Thread.java:745)

jenkins-icon-shim plugin installs .jpi file into /var/lib/jenkins/plugins/, but it should install only its unzipped content there and symlink needed JARs from /usr/share/java/.

How reproducible:
always

Comment 1 Mikolaj Izdebski 2014-09-30 08:47:33 UTC
I can reproduce it as well.

Comment 2 Amita Sharma 2014-09-30 12:42:03 UTC
I could reproduced it

Comment 3 Fedora Update System 2014-10-01 14:19:31 UTC
jenkins-icon-shim-1.0.3-3.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/jenkins-icon-shim-1.0.3-3.fc21

Comment 4 Fedora Update System 2014-10-03 04:02:20 UTC
Package jenkins-icon-shim-1.0.3-3.fc21:
* should fix your issue,
* was pushed to the Fedora 21 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing jenkins-icon-shim-1.0.3-3.fc21'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-12022/jenkins-icon-shim-1.0.3-3.fc21
then log in and leave karma (feedback).

Comment 5 Fedora Update System 2014-10-08 18:57:18 UTC
jenkins-icon-shim-1.0.3-3.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.